org.wso2.carbon.mdm.services.android.util

## Class AndroidConstants

- java.lang.Object
- - org.wso2.carbon.mdm.services.android.util.AndroidConstants

-     public final class AndroidConstants
      extends Object

  Defines constants used in Android-REST API bundle.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AndroidConstants.ApplicationProperties`
    `class` | `AndroidConstants.DeviceConstants`
    `class` | `AndroidConstants.DeviceFeatures`
    `class` | `AndroidConstants.DeviceProperties`
    `class` | `AndroidConstants.ErrorMessages`
    `class` | `AndroidConstants.Messages`
    `class` | `AndroidConstants.OperationCodes`
    `class` | `AndroidConstants.StatusCodes`
    `class` | `AndroidConstants.TenantConfigProperties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION_JSON`
    `static String` | `DEVICE_TYPE_ANDROID`
    `static String` | `HEADER_CONTENT_TYPE`
    `static String` | `SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_TYPE_ANDROID

          public static final String DEVICE_TYPE_ANDROID

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_TYPE

          public static final String HEADER_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON

          public static final String APPLICATION_JSON

      See Also:
        Constant Field Values

    - #### SCOPE

          public static final String SCOPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AndroidConstants

          public AndroidConstants()

Copyright © 2017 WSO2. All rights reserved.